package gq.unurled.raxen.components.dungeons;

import org.bukkit.Bukkit;
import org.bukkit.Location;

import java.util.UUID;

import static gq.unurled.raxen.utils.DungeonUtils.getRadiusFromRank;

public class Dungeon {

    private UUID uuid;

    private Rank rank;

    private Gate gate;

    /**
     * The Type of the Dungeon
     */
    private Type type;

    private Location location;
    private Integer radius;

    public Dungeon(UUID uuid, Rank rank, Type type) {
        this.uuid = uuid;
        this.rank = rank;
        this.type = type;
    }

    /**
     * Generate the Gate and make it available to players in the world.
     * TODO: Place the gate at a random place.
     */
    public void generateGate() {
        // -281.50 36.00 187.50 0.90 10.80
        Location loc = new Location(Bukkit.getWorld("Liberty_City"), -284.0, 36.00, 187.50);
        Integer radius = getRadiusFromRank(this.rank);
        this.gate = new Gate(uuid, loc, radius);
    }

    public void generate() {

    }
}
